package com.ruoyi.voluntary.domain;

import java.util.List;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 开卡对象 b_busi_cards_open
 * 
 * @author voluntary
 * @date 2022-12-03
 */
public class BusiCardsOpen extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 学校 */
    @Excel(name = "学校")
    private Long schoolId;

    /** 起始卡号 */
    @Excel(name = "起始卡号")
    private String startNo;

    /** 截止卡号 */
    @Excel(name = "截止卡号")
    private String endNo;

    /** 结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endDate;

    /** 发件人 */
    @Excel(name = "发件人")
    private String sender;

    /** 重新开卡：0否，1是 */
    @Excel(name = "重新开卡：0否，1是")
    private Integer isReopen;

    /** 卡类型，对应card_type */
    @Excel(name = "卡类型，对应card_type")
    private Integer cardType;

    /** 年级 */
    @Excel(name = "年级")
    private Long gradeId;

    /** 班级/入学年份 */
    @Excel(name = "班级/入学年份")
    private String year;

    /** 状态(0:无效,1:审核结束,2:审核中) */
    @Excel(name = "状态(0:无效,1:审核结束,2:审核中)")
    private Long status;

    private Integer count;
    private BusiAgents agent;
    private String schoolName;

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public BusiAgents getAgent() {
        return agent;
    }

    public void setAgent(BusiAgents agent) {
        this.agent = agent;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    /** 开卡详情信息 */
    private List<BusiCardsOpenDetail> busiCardsOpenDetailList;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSchoolId(Long schoolId) 
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId() 
    {
        return schoolId;
    }
    public void setStartNo(String startNo) 
    {
        this.startNo = startNo;
    }

    public String getStartNo() 
    {
        return startNo;
    }
    public void setEndNo(String endNo) 
    {
        this.endNo = endNo;
    }

    public String getEndNo() 
    {
        return endNo;
    }
    public void setEndDate(Date endDate) 
    {
        this.endDate = endDate;
    }

    public Date getEndDate() 
    {
        return endDate;
    }
    public void setSender(String sender) 
    {
        this.sender = sender;
    }

    public String getSender() 
    {
        return sender;
    }
    public void setIsReopen(Integer isReopen)
    {
        this.isReopen = isReopen;
    }

    public Integer getIsReopen()
    {
        return isReopen;
    }
    public void setCardType(Integer cardType)
    {
        this.cardType = cardType;
    }

    public Integer getCardType()
    {
        return cardType;
    }
    public void setGradeId(Long gradeId) 
    {
        this.gradeId = gradeId;
    }

    public Long getGradeId() 
    {
        return gradeId;
    }
    public void setYear(String year) 
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }
    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }

    public List<BusiCardsOpenDetail> getBusiCardsOpenDetailList()
    {
        return busiCardsOpenDetailList;
    }

    public void setBusiCardsOpenDetailList(List<BusiCardsOpenDetail> busiCardsOpenDetailList)
    {
        this.busiCardsOpenDetailList = busiCardsOpenDetailList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("schoolId", getSchoolId())
            .append("startNo", getStartNo())
            .append("endNo", getEndNo())
            .append("endDate", getEndDate())
            .append("sender", getSender())
            .append("createTime", getCreateTime())
            .append("isReopen", getIsReopen())
            .append("cardType", getCardType())
            .append("gradeId", getGradeId())
            .append("year", getYear())
            .append("status", getStatus())
            .append("busiCardsOpenDetailList", getBusiCardsOpenDetailList())
            .toString();
    }
}
